package com.xinyilu.system.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

/**
 * @Description 项目区间成绩返回值实体类
 * @Author 纪寒
 * @Date 2022-08-12 10:11:10
 * @Version 1.0
 */
@Data
public class TestItemLevelScoreVO implements Serializable {
    private static final long serialVersionUID = 8323166563513877005L;
    /**
     * 测试项目表id
     */
    private Long itemId;

    /**
     * 测试项目表名称
     */
    private String itemName;

    /**
     * 测试项目表名称
     */
    private BigDecimal itemScore;

    /**
     * 级别最小分
     */
    private BigDecimal levelMinScore;

    /**
     * 级别最高得分
     */
    private BigDecimal levelMaxScore;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        TestItemLevelScoreVO scoreVO = (TestItemLevelScoreVO) o;
        return Objects.equals(itemId, scoreVO.itemId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(itemId);
    }
}
